> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sandbox Endpoint

> Get a specific sandbox by ID

## Rate Limit

300 requests per 60 seconds per IP and token per sandbox.


## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/sandbox/{sandbox_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/{sandbox_id}:
    get:
      tags:
        - Sandbox
      summary: Get Sandbox Endpoint
      description: Get a specific sandbox by ID
      operationId: get_sandbox_endpoint_api_v1_sandbox__sandbox_id__get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            title: Sandbox Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SandboxResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        dockerImage:
          type: string
          title: Dockerimage
        startCommand:
          anyOf:
            - type: string
            - type: 'null'
          title: Startcommand
        cpuCores:
          type: number
          title: Cpucores
        memoryGB:
          type: number
          title: Memorygb
        diskSizeGB:
          type: number
          title: Disksizegb
        diskMountPath:
          type: string
          title: Diskmountpath
        gpuCount:
          type: integer
          title: Gpucount
        gpuType:
          anyOf:
            - $ref: '#/components/schemas/GPUType'
            - type: 'null'
        vm:
          type: boolean
          title: Vm
          default: false
        networkAccess:
          type: boolean
          title: Networkaccess
        status:
          $ref: '#/components/schemas/SandboxStatus'
        timeoutMinutes:
          type: integer
          title: Timeoutminutes
        environmentVars:
          anyOf:
            - type: object
            - type: 'null'
          title: Environmentvars
        advancedConfigs:
          anyOf:
            - type: object
            - type: 'null'
          title: Advancedconfigs
        labels:
          items:
            type: string
          type: array
          title: Labels
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
        terminatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Terminatedat
        exitCode:
          anyOf:
            - type: integer
            - type: 'null'
          title: Exitcode
        errorType:
          anyOf:
            - type: string
            - type: 'null'
          title: Errortype
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        kubernetesJobId:
          anyOf:
            - type: string
            - type: 'null'
          title: Kubernetesjobid
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        registryCredentialsId:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrycredentialsid
      type: object
      required:
        - id
        - name
        - dockerImage
        - startCommand
        - cpuCores
        - memoryGB
        - diskSizeGB
        - diskMountPath
        - gpuCount
        - networkAccess
        - status
        - timeoutMinutes
        - environmentVars
        - advancedConfigs
        - createdAt
        - updatedAt
        - startedAt
        - terminatedAt
        - userId
        - teamId
        - kubernetesJobId
      title: SandboxResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    GPUType:
      type: string
      enum:
        - CPU_NODE
        - A10_24GB
        - A100_80GB
        - A100_40GB
        - A30_24GB
        - A40_48GB
        - B200_180GB
        - B300_262GB
        - GB200
        - GB300
        - RTX3070_8GB
        - RTX3070_8GB
        - RTX3080_10GB
        - RTX3080Ti_12GB
        - RTX3090_24GB
        - RTX3090Ti_24GB
        - RTX4070Ti_12GB
        - RTX4080_16GB
        - RTX4080Ti_16GB
        - RTX4090_24GB
        - RTX5090_32GB
        - H100_80GB
        - H200_96GB
        - GH200_96GB
        - H200_141GB
        - GH200_480GB
        - GH200_624GB
        - L4_24GB
        - L40_48GB
        - L40S_48GB
        - RTX4000_8GB
        - RTX5000_16GB
        - RTX6000_24GB
        - RTX8000_48GB
        - RTX2000Ada_16GB
        - RTX4000Ada_20GB
        - RTX5000Ada_32GB
        - RTX6000Ada_48GB
        - A2000_6GB
        - A4000_16GB
        - A4500_20GB
        - A5000_24GB
        - A6000_48GB
        - V100_16GB
        - V100_32GB
        - P100_16GB
        - T4_16GB
        - P4_8GB
        - P40_24GB
        - RTX_PRO_6000B_96GB
      title: GPUType
    SandboxStatus:
      type: string
      enum:
        - PENDING
        - PROVISIONING
        - RUNNING
        - PAUSED
        - ERROR
        - TERMINATED
      title: SandboxStatus
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````